Package org.openoffice.da.comp.w2lcommon.filter

# Enum Class UNOPublisher.TargetFormat

java.lang.Object
java.lang.Enum<UNOPublisher.TargetFormat>
org.openoffice.da.comp.w2lcommon.filter.UNOPublisher.TargetFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<UNOPublisher.TargetFormat>`, `Constable`

Enclosing class:
  `UNOPublisher`

public static enum UNOPublisher.TargetFormat extends Enum<UNOPublisher.TargetFormat>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`epub`
`epub3`
`html5`
`latex`
`xhtml`
`xhtml_mathml`
`xhtml11`

## Method Summary

Modifier and Type
Method
Description
`static UNOPublisher.TargetFormat`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UNOPublisher.TargetFormat[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### xhtml

public static final UNOPublisher.TargetFormat xhtml

### xhtml11

public static final UNOPublisher.TargetFormat xhtml11

### xhtml_mathml

public static final UNOPublisher.TargetFormat xhtml_mathml

### html5

public static final UNOPublisher.TargetFormat html5

### epub

public static final UNOPublisher.TargetFormat epub

### epub3

public static final UNOPublisher.TargetFormat epub3

### latex

public static final UNOPublisher.TargetFormat latex

## Method Details

### values

public static UNOPublisher.TargetFormat[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static UNOPublisher.TargetFormat valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null